Bug 8031 - merge patc to make sharemodes/leases parameter a per share setting
merge patc to make sharemodes/leases parameter a per share setting
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: VFS Modules
3.5.8
All All
: P5 enhancement
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-22 15:20 UTC by Björn Jacke
Modified: 2011-04-07 19:17 UTC (History)
1 user (show)

See Also:
metze: review-


Attachments
0001-s3-vfs_gpfs-s-syncops-gpfs.patch (786 bytes, text/plain)
2011-04-03 15:39 UTC, Björn Jacke
no flags Details
patch set containing both in one (5.68 KB, patch)
2011-04-06 11:56 UTC, Björn Jacke
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2011-03-22 15:20:20 UTC
this patch is also present in the 3.4 ctdb banch and people expect it to be in 3.5, too. Also a quite uncritical and gpfs only change. The hash needed to be picked from master is 22018b8b887c2677d30bbb4589f800197edf0e98.
Comment 1 Stefan Metzmacher 2011-03-22 15:47:09 UTC
The patch has a bug:

+       SMB_VFS_HANDLE_SET_DATA(handle, config,
+                               NULL, struct syncops_config_data,
+                               return -1);

syncops_config_data should be gpfs_config_data.
Comment 2 Björn Jacke 2011-04-03 15:39:52 UTC
On 2011-03-22 at 15:47 +0000 samba-bugs@samba.org sent off:
> The patch has a bug:
> 
> +       SMB_VFS_HANDLE_SET_DATA(handle, config,
> +                               NULL, struct syncops_config_data,
> +                               return -1);
> 
> syncops_config_data should be gpfs_config_data.

metze: attached patch makeѕ that look better to you?

Do you agree that we also need this fix in master and 3.6, too ?
Comment 3 Björn Jacke 2011-04-03 15:39:54 UTC
Created attachment 6371 [details]
0001-s3-vfs_gpfs-s-syncops-gpfs.patch
Comment 4 Björn Jacke 2011-04-06 11:56:48 UTC
Created attachment 6382 [details]
patch set containing both in one
Comment 5 Stefan Metzmacher 2011-04-06 12:11:30 UTC
Comment on attachment 6382 [details]
patch set containing both in one

Looks good to me
Comment 6 Stefan Metzmacher 2011-04-06 12:12:25 UTC
Karolin, please pick for the next release
Comment 7 Karolin Seeger 2011-04-07 19:17:15 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!